%define	name	vavoom
%define	version	1.22.1
%define	release %mkrel 5
%define	Summary	Open source port of the DOOM game engine

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://dl.sourceforge.net/vavoom/%{name}-%{version}.tar.bz2
#Patch0:		vavoom-1.20-openal-fix.patch
#Patch1:		vavoom-1.21-x86_64.patch
Patch2:		vavoom-c_linkage.patch
Patch3:		vavoom-missing_animated.lmp.patch
Patch4:		vavoom-1.22.1-new-mikmod.patch
URL:		http://vavoom-engine.com/
Group:		Games/Arcade
License:	GPLv2+
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel SDL_mixer-devel SDL_net-devel libpng-devel allegro-devel
BuildRequires:	oggvorbis-devel libmad-devel openal-devel libmikmod-devel
BuildRequires:	autoconf desktop-file-utils mesagl-devel libjpeg-devel
Enhances:	vavoom-vmdl TiMidity++

%description
Vavoom is an open-source port of Doom, the classic 3D first-person shooter
game.  It adds some extra features to Doom such as translucency
and freelook support.

%prep 
%setup -q
#%patch0 -p0 -b .openal
#%patch1 -p1 -b .64bit
%patch2 -p1 -b .linkage
%patch3 -p1 -b .ani
%patch4 -p1
rm configure
autoconf

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--with-opengl \
		--with-openal \
		--with-vorbis \
		--with-libmad \
		--with-mikmod \
		--without-allegro

# This one line sed command is easier than trying to muck with the Makefile
# to add the proper -D definition.
%{__sed} -i "s|#define FL_BASEDIR.*|#define FL_BASEDIR \"%{_gamesdatadir}/%{name}\"|" source/files.h

# The Makefile doesn't do parallel builds correctly.
make

%install
rm -rf %{buildroot}
%makeinstall_std INSTALL_PARMS="-m 0755" INSTALL_EXEPARMS="-m 0755" INSTALL_DIRPARMS="-m 0755 -d"

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Freedoom
Comment=Freedoom with the Vavoom engine
Exec=vavoom
Icon=arcade_section
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

desktop-file-install --vendor="" \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade;" \
        %{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/*.desktop
%doc docs/*.log docs/gnu.txt docs/vavoom.txt




%changelog
* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1.22.1-5mdv2009.0
+ Revision: 271881
- patch for new mikmod
- update license

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.22.1-4mdv2009.0
+ Revision: 261832
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.22.1-3mdv2009.0
+ Revision: 255287
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.22.1-1mdv2008.1
+ Revision: 128866
- kill re-definition of %%buildroot on Pixel's request
- kill explicit icon extension
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Jan 22 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.22.1-1mdv2007.0
+ Revision: 111803
- fix buildrequires
- new release: 1.22.1
  some patches from Zombie
  fix xdg menu
- Import vavoom

* Thu Aug 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.21.1-1mdv2007.0
- initial mandriva release based on fedora package

